www.cendio.com
Bug 5436 - integrate glib requirement in LSB requirement
: integrate glib requirement in LSB requirement
Status: CLOSED FIXED
: ThinLinc
Other
: pre-1.0
: PC Unknown
: P2 Normal
: 4.4.0
Assigned To:
:
:
:
: 5405
  Show dependency treegraph
 
Reported: 2015-02-19 08:52 by
Modified: 2015-04-23 13:47 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2015-02-19 08:52:11
We require glib2 for pcsctun to function (we can't link anything statically
since pcsctun is loaded into god knows what programs). Because of this we
updated the TAG and tl-setup to check for glib2 (bug 3479). This was necessary
because at the time we didn't have anything else that would guarantee glib2.

These days however we've changed our LSB requirement from just Core to Desktop
(since we need libX11). But the Desktop section also includes glib2. IOW it is
redundant to check for both LSB Desktop and glib2. We could simplify both the
requirement list and tl-setup here.
------- Comment #1 From cendio 2015-02-25 14:51:35 -------
Actually, we require LSB Graphics, which does not include glib2. That module is
however superseded by LSB Desktop which does. So we would have to update our
LSB requirement in this case.
------- Comment #2 From cendio 2015-02-25 16:24:55 -------
glib module removed in r30042 and documentation updated in r30043.
------- Comment #3 From cendio 2015-03-09 10:04:34 -------
Seems like I broken RHEL 6 somewhere along the line: Got this in the log:

2015-03-09 10:01:34,992: LSB support not found
...
2015-03-09 10:01:40,683: Resolving packages...
2015-03-09 10:01:40,795: Loaded plugins: refresh-packagekit, rhnplugin
2015-03-09 10:01:42,691: This system is receiving updates from RHN Classic or
RHN Satellite.
2015-03-09 10:01:51,036: resolving package 'lsb-core-amd64' for installation.
2015-03-09 10:01:51,254: package 'lsb-core-amd64' provides package 'redhat-lsb'
2015-03-09 10:01:51,255: resolving package 'lsb-graphics-amd64' for
installation.
2015-03-09 10:01:51,482: package 'lsb-graphics-amd64' provides package
'redhat-lsb-graphics'
2015-03-09 10:01:51,482: resolving package 'redhat-lsb' for installation.
2015-03-09 10:01:51,496: package 'redhat-lsb-4.0-7.el6.x86_64' is already
installed.
2015-03-09 10:01:51,496: resolving package 'redhat-lsb-graphics' for
installation.
2015-03-09 10:01:51,509: package 'redhat-lsb-graphics-4.0-7.el6.x86_64' is
already installed.
2015-03-09 10:01:51,598: Empty transaction after resolving packages.
------- Comment #4 From cendio 2015-03-09 15:04:12 -------
Urgh. LSB module names are a chaotic and poorly documented area. Will have to
dig around and see what the distributions actually do.
------- Comment #5 From cendio 2015-03-09 15:52:14 -------
First let's examine the dependency you can rely on for yum and such. LSB 3.1+
states that there only exists three names you can rely on:

 - lsb
 - lsb-core-noarch
 - lsb-core-<arch>

The document suggest that 'lsb' should include absolutely everything and you
are pretty much no longer allowed to pick and choose between the sections of
LSB.

Installing that on the distributions gives you:

 - RHEL 5: Everything (directly via 'redhat-lsb')
 - RHEL 6: Everything (indirectly by 'redhat-lsb' pulling in other lsb
packages)
 - RHEL 7: Same as RHEL 6

 - Fedora 21: Same as RHEL 6

 - SLED 11: Everything (directly)

 - Ubuntu 12.04: Everything (indirectly via lsb subpackages)
 - Ubuntu 14.04: Same as Ubuntu 12.04.

Note that you only get the native arch when you do this. RHEL 6+ (and Fedora)
provide the non-standard 'lsb-<arch>' though which allows you to be specific.
For the others you have to use deprecated constructs like
'lsb-graphics-<arch>'.
------- Comment #6 From cendio 2015-03-09 16:14:21 -------
Next are the modules. Although this is utterly undocumented by LSB, there seems
to be some de facto standard:

 - desktop-<ver>-<arch> : RHEL 7, Fedora 21, SLED 11, Ubuntu 12.04/14.04

 - graphics-<ver>-<arch> : RHEL 5-6, SLED 11, Ubuntu 12.04/14.04

There seems to be no module name indicating a complete LSB install.
------- Comment #7 From cendio 2015-03-09 16:22:58 -------
New attempt in r30117.
------- Comment #8 From cendio 2015-03-12 13:28:39 -------
Seems to work fine now. Tested on RHEL 7, RHEL 6, Ubuntu 14.04 and SLED 11.
------- Comment #9 From cendio 2015-04-23 13:47:23 -------
Tested using thinlinc build 4732 on platforms rhel5, rhel6, rhel7, sles11,
sles12, ubuntu12.04 and ubuntu14.04.

Seems to work as expected.